| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GaudiPython.Bindings.iJobOptSvc Class Reference
Inheritance diagram for GaudiPython.Bindings.iJobOptSvc:
[legend]
Collaboration diagram for GaudiPython.Bindings.iJobOptSvc:
[legend]

## Public Member Functions
def | __init__ (self, name, svc)
| constructor More...
def | getProperties (self, component)
def | getProperty (self, component, name)
Public Member Functions inherited from GaudiPython.Bindings.iService
def | __init__ (self, name, isvc=None)
def | retrieveInterface (self)
def | isValid (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | __init__ (self, name, ip=None)
def | getInterface (self)
def | retrieveInterface (self)
def | __call_interface_method__ (self, ifname, method, args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Additional Inherited Members
Static Public Attributes inherited from GaudiPython.Bindings.iService
| initialize = lambdaself:self.__call_interface_method__("_isvc","initialize")
| start = lambdaself:self.__call_interface_method__("_isvc","start")
| stop = lambdaself:self.__call_interface_method__("_isvc","stop")
| finalize = lambdaself:self.__call_interface_method__("_isvc","finalize")
| reinitialize = lambdaself:self.__call_interface_method__("_isvc","reinitialize")
| restart = lambdaself:self.__call_interface_method__("_isvc","restart")

## Detailed Description

    Python-image of C++ class IJobOptionsSvc

Definition at line 608 of file Bindings.py.

## Constructor & Destructor Documentation

def GaudiPython.Bindings.iJobOptSvc.__init__ | ( |  | self,
|  |  | name,
|  |  | svc
| ) |  |

constructor

    constructor

Definition at line 613 of file Bindings.py.

613 def __init__( self , name , svc ) :
614 """ constructor """
615 self.__dict__['_optsvc'] = InterfaceCast(gbl.IJobOptionsSvc)(svc)
616 return iService.__init__( self , name , svc )
GaudiPython.Bindings.InterfaceCast
Definition: Bindings.py:86
GaudiPython.Bindings.iJobOptSvc.__init__
def __init__(self, name, svc)
constructor
Definition: Bindings.py:613

## Member Function Documentation

def GaudiPython.Bindings.iJobOptSvc.getProperties | ( |  | self,
|  |  | component
| ) |  |

    Extract *ALL* properties of the given component
    Usage :
    >>> jos   = gaudi.optSvc()
    >>> props = jos.getProperties( 'Name' )

Definition at line 617 of file Bindings.py.

617 def getProperties( self , component ) :
618 """
619 Extract *ALL* properties of the given component
620 Usage :
621 >>> jos = gaudi.optSvc()
622 >>> props = jos.getProperties( 'Name' )
623 """
624 props = self._optsvc.getProperties( component )
625 prps = {}
626 if not props : return prps # RETURN
627 for p in props :
628 prop = p.name().upper()
629 try :
630 value = eval( p.value() , {} , {} )
631 except: value = p.value()
632 prps [ prop ] = value
633
634 return prps # RETURN
GaudiPython.Bindings.iJobOptSvc.getProperties
def getProperties(self, component)
Definition: Bindings.py:617

def GaudiPython.Bindings.iJobOptSvc.getProperty | ( |  | self,
|  |  | component,
|  |  | name
| ) |  |

    Get a certain property of the certain component
    Usage:
    >>> jos  = ...
    >>> extServices = jos.getProperty( 'ApplicationMgr', 'ExtSvc' )

Definition at line 635 of file Bindings.py.

635 def getProperty ( self , component , name ) :
636 """
637 Get a certain property of the certain component
638 Usage:
639 >>> jos = ...
640 >>> extServices = jos.getProperty( 'ApplicationMgr', 'ExtSvc' )
641 """
642 ## get all properties of the component
643 all = self.getProperties ( component )
644 return all.get( name.upper() , None ) # RETURN
645
646 #----iEventSelector class------------------------------------------------------------------
GaudiPython.Bindings.iJobOptSvc.getProperties
def getProperties(self, component)
Definition: Bindings.py:617
GaudiPython.Bindings.iJobOptSvc.getProperty
def getProperty(self, component, name)
Definition: Bindings.py:635

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py